POST
/api/v1/costSet budget or alert configuration
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"projectId": "string",
"action": "set_budget",
"monthlyLimit": 0,
"warningThreshold": 0,
"criticalThreshold": 0
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"projectId",
"action"
],
"properties": {
"projectId": {
"type": "string"
},
"action": {
"type": "string",
"enum": [
"set_budget",
"set_alert"
]
},
"monthlyLimit": {
"type": "number"
},
"warningThreshold": {
"type": "number"
},
"criticalThreshold": {
"type": "number"
}
}
}
}
}Response
All status codes
201Configuration saved
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/cost \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "string", "action": "set_budget", "monthlyLimit": 0, "warningThreshold": 0, "criticalThreshold": 0 }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/cost",
body: {
"projectId": "string",
"action": "set_budget",
"monthlyLimit": 0,
"warningThreshold": 0,
"criticalThreshold": 0
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/cost",
body={
"projectId": "string",
"action": "set_budget",
"monthlyLimit": 0,
"warningThreshold": 0,
"criticalThreshold": 0
},
)
print(response)Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/cost", map[string]any{"projectId": "string", "action": "set_budget", "monthlyLimit": 0, "warningThreshold": 0, "criticalThreshold": 0})
if err != nil { panic(err) }
fmt.Println(resp)
}